import { LitElement, nothing } from "lit";
import { type TranslateFn } from "@livepeer-frameworks/player-core";
export declare class FwToast extends LitElement {
    message: string;
    translator?: TranslateFn;
    private _defaultTranslator;
    private get _t();
    static styles: import("lit").CSSResult;
    protected render(): import("lit").TemplateResult<1> | typeof nothing;
    private _dismiss;
}
declare global {
    interface HTMLElementTagNameMap {
        "fw-toast": FwToast;
    }
}
